package io.gmss.fiscad.interfaces.infocad.parametre;

import io.gmss.fiscad.entities.infocad.parametre.TypeRepresentation;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface TypeRepresentationService {

    TypeRepresentation createTypeRepresentation(TypeRepresentation typeRepresentation) throws BadRequestException;

    TypeRepresentation updateTypeRepresentation(Long id, TypeRepresentation typeRepresentation) throws NotFoundException;

    void deleteTypeRepresentation(Long id) throws NotFoundException;

    Page<TypeRepresentation> getTypeRepresentationList(Pageable pageable);

    List<TypeRepresentation> getTypeRepresentationList();

    Optional<TypeRepresentation> getTypeRepresentationById(Long id);
}
